<?php 

	require_once ('../../../wp-config.php');
	
	define('AUTOCOMPLETER_URL', WP_PLUGIN_URL.'/'.str_replace(basename( __FILE__),"",plugin_basename(__FILE__)));
	
	$framework = get_option('kau-boys_autocompleter_framework');
	$searchfield_id = get_option('kau-boys_autocompleter_id');
	// set default if values haven't been recieved from the database
	if(empty($searchfield_id)) $searchfield_id = 's';
	
	if($framework == 'scriptaculous'):
?>
document.observe("dom:loaded", function() {
	if ($('<?php echo $searchfield_id ?>') != null) {
		var newDiv = new Element('div', {
			'id': 'search_results',
			'class': 'autocomplete'
		});
		$('<?php echo $searchfield_id ?>').up('body').insert(newDiv);
		new Ajax.Autocompleter('<?php echo $searchfield_id ?>', 'search_results', '<?php echo AUTOCOMPLETER_URL ?>' + 'autocompleter_results.php', {
			paramName: 'q',
			updateElement: function(li){
				document.location.href = li.down('a').href;
			}
		});
	}
});
<?php else : ?>
jQuery(function(){
	var autocompleter = jQuery('#<?php echo $searchfield_id ?>').suggest('<?php echo AUTOCOMPLETER_URL ?>' + 'autocompleter_results.php',{
		onSelect: function(){
			var words = this.value.split('|||');
			document.location.href = words[1];
			return;
		}
	});
	jQuery('.ac_results').css({'width' : (autocompleter.width() + 6)});
});
<?php endif ?>